# Function buildInsertSql

- buildInsertSql(tbl, obj, opts?): SqlAndValues

- Build a INSERT INTO sql statement for one row

  #### Parameters

  - ##### tbl: string

    table name

  - ##### obj: Row

    row to insert

  - ##### opts: {
    ignoreExisting?: boolean;
    jsonCols?: string[];
    noid?: boolean;
    replace?: boolean;
    } = {}

    noid, ignoreExisting, replace

    - ##### `Optional` ignoreExisting?: boolean

    - ##### `Optional` jsonCols?: string[]

    - ##### `Optional` noid?: boolean

    - ##### `Optional` replace?: boolean

  #### Returns SqlAndValues

  sql string and values for the placeholders

  - Defined in db-common/sqlite-commons.ts:51

Generated using TypeDoc